<?php
/**
 *  VW Church: Block Patterns
 *
 * @package  VW Church
 * @since   1.0.0
 */

/**
 * Register Block Pattern Category.
 */
if ( function_exists( 'register_block_pattern_category' ) ) {

	register_block_pattern_category(
		'vw-church',
		array( 'label' => __( 'VW Church', 'vw-church' ) )
	);
}

/**
 * Register Block Patterns.
 */
if ( function_exists( 'register_block_pattern' ) ) {
	register_block_pattern(
		'vw-church/banner-section',
		array(
			'title'      => __( 'Banner Section', 'vw-church' ),
			'categories' => array( 'vw-church' ),
			'content'    => "<!-- wp:cover {\"url\":\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/banner.png\",\"id\":3712,\"dimRatio\":0,\"isDark\":false,\"align\":\"full\",\"className\":\"vw-church-banner-section\"} -->\n<div class=\"wp-block-cover alignfull is-light vw-church-banner-section\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-0 has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-3712\" alt=\"\" src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/banner.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":1,\"style\":{\"typography\":{\"fontSize\":\"50px\"}},\"textColor\":\"white\"} -->\n<h1 class=\"has-text-align-center has-white-color has-text-color\" style=\"font-size:50px\">Loving God Loving Others</h1>\n<!-- /wp:heading -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"align\":\"center\",\"style\":{\"color\":{\"background\":\"#f26837\"},\"border\":{\"radius\":\"30px\"}},\"fontSize\":\"small\"} -->\n<div class=\"wp-block-button aligncenter has-custom-font-size has-small-font-size\"><a class=\"wp-block-button__link has-background wp-element-button\" style=\"border-radius:30px;background-color:#f26837\">Read More</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div></div>\n<!-- /wp:cover -->",
		)
	);

	register_block_pattern(
		'vw-church/events-section',
		array(
			'title'      => __( 'Events Section', 'vw-church' ),
			'categories' => array( 'vw-church' ),
			'content'    => "<!-- wp:group {\"className\":\"vw-church-events-section my-5\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group vw-church-events-section my-5\"><!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"15px\"}}} -->\n<p class=\"has-text-align-center\" style=\"font-size:15px\">Our Events</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"30px\"}}} -->\n<h2 class=\"has-text-align-center\" style=\"font-size:30px\">Upcoming events</h2>\n<!-- /wp:heading -->\n\n<!-- wp:columns {\"className\":\"vw-church-events-coloumsection pt-3\"} -->\n<div class=\"wp-block-columns vw-church-events-coloumsection pt-3\"><!-- wp:column {\"className\":\"vw-church-events-section-column\"} -->\n<div class=\"wp-block-column vw-church-events-section-column\"><!-- wp:image {\"id\":3724,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/events-image-1.png\" alt=\"\" class=\"wp-image-3724\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"18px\"},\"color\":{\"text\":\"#121212\"}},\"className\":\"date-section\"} -->\n<p class=\"has-text-align-center date-section has-text-color\" style=\"color:#121212;font-size:18px\">25jan</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"22px\"}}} -->\n<h3 style=\"font-size:22px\">Soul Ties Marriage</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#141414\"},\"typography\":{\"fontSize\":\"15px\"}},\"className\":\"addres-section\"} -->\n<p class=\"addres-section has-text-color\" style=\"color:#141414;font-size:15px\">7415 Hickory street Omha,NE 68124</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:group {\"className\":\"icon-groups\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group icon-groups\"><!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"15px\"},\"color\":{\"text\":\"#141414\"}},\"className\":\"author-section\"} -->\n<p class=\"author-section has-text-color\" style=\"color:#141414;font-size:15px\">admin</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"15px\"},\"color\":{\"text\":\"#141414\"}},\"className\":\"timing-section\"} -->\n<p class=\"timing-section has-text-color\" style=\"color:#141414;font-size:15px\">9.30</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"vw-church-events-section-column\"} -->\n<div class=\"wp-block-column vw-church-events-section-column\"><!-- wp:image {\"id\":3751,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/events-image-2.png\" alt=\"\" class=\"wp-image-3751\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"18px\"},\"color\":{\"text\":\"#121212\"}},\"className\":\"date-section\"} -->\n<p class=\"has-text-align-center date-section has-text-color\" style=\"color:#121212;font-size:18px\">28jan</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"22px\"}}} -->\n<h3 style=\"font-size:22px\">Soccer Camp</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#141414\"},\"typography\":{\"fontSize\":\"15px\"}},\"className\":\"addres-section\"} -->\n<p class=\"addres-section has-text-color\" style=\"color:#141414;font-size:15px\">7415 Hickory street Omha,NE 68124</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:group {\"className\":\"icon-groups\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group icon-groups\"><!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"15px\"},\"color\":{\"text\":\"#141414\"}},\"className\":\"author-section\"} -->\n<p class=\"author-section has-text-color\" style=\"color:#141414;font-size:15px\">admin</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"15px\"},\"color\":{\"text\":\"#141414\"}},\"className\":\"timing-section\"} -->\n<p class=\"timing-section has-text-color\" style=\"color:#141414;font-size:15px\">9.30</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"vw-church-events-section-column\"} -->\n<div class=\"wp-block-column vw-church-events-section-column\"><!-- wp:image {\"id\":3752,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/events-image-3.png\" alt=\"\" class=\"wp-image-3752\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"18px\"},\"color\":{\"text\":\"#121212\"}},\"className\":\"date-section\"} -->\n<p class=\"has-text-align-center date-section has-text-color\" style=\"color:#121212;font-size:18px\">28jan</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"22px\"}}} -->\n<h3 style=\"font-size:22px\">Church Block party</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#141414\"},\"typography\":{\"fontSize\":\"15px\"}},\"className\":\"addres-section\"} -->\n<p class=\"addres-section has-text-color\" style=\"color:#141414;font-size:15px\">7415 Hickory street Omha,NE 68124</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:group {\"className\":\"icon-groups\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group icon-groups\"><!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"15px\"},\"color\":{\"text\":\"#141414\"}},\"className\":\"author-section\"} -->\n<p class=\"author-section has-text-color\" style=\"color:#141414;font-size:15px\">admin</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"15px\"},\"color\":{\"text\":\"#141414\"}},\"className\":\"timing-section\"} -->\n<p class=\"timing-section has-text-color\" style=\"color:#141414;font-size:15px\">9.30</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"align\":\"center\",\"style\":{\"color\":{\"background\":\"#f26835\"},\"border\":{\"radius\":\"30px\"},\"typography\":{\"fontSize\":\"15px\"}}} -->\n<div class=\"wp-block-button aligncenter has-custom-font-size\" style=\"font-size:15px\"><a class=\"wp-block-button__link has-background wp-element-button\" style=\"border-radius:30px;background-color:#f26835\">Upcoming Events</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group -->",
		)
	);
}